## EMarkdownEditor EMarkdownEditor |

## Functions

GtkWidget * | e_markdown_editor_new ()
void | e_markdown_editor_connect_focus_tracker ()
GtkTextView * | e_markdown_editor_get_text_view ()
GtkToolbar * | e_markdown_editor_get_action_toolbar ()
void | e_markdown_editor_set_text ()
gchar * | e_markdown_editor_dup_text ()
gchar * | e_markdown_editor_dup_html ()
gboolean | e_markdown_editor_get_preview_mode ()
void | e_markdown_editor_set_preview_mode ()

## Signals

void | changed | Run First
void | format-bold | Action
void | format-bullet-list | Action
void | format-code | Action
void | format-header | Action
void | format-italic | Action
void | format-numbered-list | Action
void | format-quote | Action
void | insert-emoji | Action
void | insert-link | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EMarkdownEditor

## Description

## Functions

### e_markdown_editor_new ()

    GtkWidget *
    e_markdown_editor_new (void);

Creates a new EMarkdownEditor

#### Returns

a new EMarkdownEditor.

[transfer full]

Since: 3.44

### e_markdown_editor_connect_focus_tracker ()

    void
    e_markdown_editor_connect_focus_tracker
                                   (EMarkdownEditor *self,
                                    EFocusTracker *focus_tracker);

Connects `self` widgets to the `focus_tracker` .

#### Parameters

self | an EMarkdownEditor |
focus_tracker | an EFocusTracker |

Since: 3.44

### e_markdown_editor_get_text_view ()

    GtkTextView *
    e_markdown_editor_get_text_view (EMarkdownEditor *self);

#### Parameters

self | an EMarkdownEditor |

#### Returns

a GtkTextView of the `self` .

[transfer none]

Since: 3.44

### e_markdown_editor_get_action_toolbar ()

    GtkToolbar *
    e_markdown_editor_get_action_toolbar (EMarkdownEditor *self);

#### Parameters

self | an EMarkdownEditor |

#### Returns

a GtkToolbar of the `self` , where the caller can add its own action buttons.

[transfer none]

Since: 3.44

### e_markdown_editor_set_text ()

    void
    e_markdown_editor_set_text (EMarkdownEditor *self,
                                const gchar *text);

Sets the `text` as the editor content.

#### Parameters

text | text to set |

Since: 3.44

### e_markdown_editor_dup_text ()

    gchar *
    e_markdown_editor_dup_text (EMarkdownEditor *self);

Get the markdown text entered in the `self` . To get the HTML version of it use `e_markdown_editor_dup_html()`. Free the returned string with `g_free()`, when no longer needed.

#### Parameters

self | an EMarkdownEditor |

#### Returns

the markdown text.

[transfer full]

Since: 3.44

### e_markdown_editor_dup_html ()

    gchar *
    e_markdown_editor_dup_html (EMarkdownEditor *self);

Get the HTML version of the markdown text entered in the `self` . To get the markdown text use `e_markdown_editor_dup_text()`. Free the returned string with `g_free()`, when no longer needed.

Note: The function can return `NULL` when was not built with the markdown support.

#### Parameters

self | an EMarkdownEditor |

#### Returns

the markdown text converted into HTML, or `NULL`, when was not built with the markdown support.

[transfer full][nullable]

Since: 3.44

### e_markdown_editor_get_preview_mode ()

    gboolean
    e_markdown_editor_get_preview_mode (EMarkdownEditor *self);

#### Parameters

self | an EMarkdownEditor |

#### Returns

whether the `self` is in the preview mode; `FALSE` means it is in the editing mode

Since: 3.44

### e_markdown_editor_set_preview_mode ()

    void
    e_markdown_editor_set_preview_mode (EMarkdownEditor *self,
                                        gboolean preview_mode);

Sets the `self` into the preview mode, when `preview_mode` is `TRUE`, or into editing mode, when `preview_mode` is `FALSE`.

Note: The request to move to the preview mode can be silently ignored when the Evolution was not built with the markdown support.

#### Parameters

self | an EMarkdownEditor |
preview_mode | `TRUE` to set the preview mode, `FALSE` otherwise |

Since: 3.44

## Signal Details

### The `“changed”` signal

    void
    user_function (EMarkdownEditor *self,
                   gpointer         user_data)

This signal is emitted the content of the `self` changes.

#### Parameters

self | an EMarkdownEditor, which sent the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run First

Since: 3.44

### The `“format-bold”` signal

    void
    user_function (EMarkdownEditor *self,
                   gpointer         user_data)

A signal to set text format to bold.

#### Parameters

self | an EMarkdownEditor, which receives the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 3.44

### The `“format-bullet-list”` signal

    void
    user_function (EMarkdownEditor *self,
                   gpointer         user_data)

A signal to set text format to bullet list.

#### Parameters

self | an EMarkdownEditor, which receives the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 3.44

### The `“format-code”` signal

    void
    user_function (EMarkdownEditor *self,
                   gpointer         user_data)

A signal to set text format to code.

#### Parameters

self | an EMarkdownEditor, which receives the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 3.44

### The `“format-header”` signal

    void
    user_function (EMarkdownEditor *self,
                   gpointer         user_data)

A signal to set text format to header.

#### Parameters

self | an EMarkdownEditor, which receives the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 3.44

### The `“format-italic”` signal

    void
    user_function (EMarkdownEditor *self,
                   gpointer         user_data)

A signal to set text format to italic.

#### Parameters

self | an EMarkdownEditor, which receives the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 3.44

### The `“format-numbered-list”` signal

    void
    user_function (EMarkdownEditor *self,
                   gpointer         user_data)

A signal to set text format to numbered list.

#### Parameters

self | an EMarkdownEditor, which receives the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 3.44

### The `“format-quote”` signal

    void
    user_function (EMarkdownEditor *self,
                   gpointer         user_data)

A signal to set text format to quote.

#### Parameters

self | an EMarkdownEditor, which receives the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 3.44

### The `“insert-emoji”` signal

    void
    user_function (EMarkdownEditor *self,
                   gpointer         user_data)

A signal to open a dialog to insert Emoji.

#### Parameters

self | an EMarkdownEditor, which receives the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 3.44

### The `“insert-link”` signal

    void
    user_function (EMarkdownEditor *self,
                   gpointer         user_data)

A signal to insert a link.

#### Parameters

self | an EMarkdownEditor, which receives the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since: 3.44